Purpl
Docs menu
GET/v1/paywalls/apple

Resolve an Apple paywall

Returns the active paywall, catalog, product-to-entitlement mapping, default product, localized display content, and policy URLs for an Apple application.

Parameters

bundleIdentifierqueryRequired

The Apple bundle identifier registered in Purpl.

paywallIdentifierqueryRequired

The public paywall identifier configured in Purpl.

localeIdentifierqueryRequired

The current device locale used to resolve paywall display content.

Responses

200The resolved paywall configuration.
paywallConfigurationRequired
object
catalogRequired
object
purchaseConfigurationRequired
object
localizationRequired
object
policyRequired
object
updatedAtRequired
string · date-time
400The request body, parameter, or verified store payload is invalid.
errorRequired
string

A stable machine-readable error code.

404The application, store configuration, customer, or paywall was not found.
errorRequired
string

A stable machine-readable error code.

409The active purchase or paywall configuration is incomplete or invalid.
errorRequired
string

A stable machine-readable error code.

Request example

cURL
curl --get 'https://api.purpl.sh/v1/paywalls/apple' \
  --data-urlencode 'bundleIdentifier=com.example.app' \
  --data-urlencode 'paywallIdentifier=standard' \
  --data-urlencode 'localeIdentifier=ko-KR'